FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.index.FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.index
Class FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor

    java.lang.Object
      org.apache.lucene.index.PayloadProcessorProvider.ReaderPayloadProcessor
          org.apache.lucene.facet.index.FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor

Enclosing class:
  FacetsPayloadProcessorProvider

    public static class FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor

extends org.apache.lucene.index.PayloadProcessorProvider.ReaderPayloadProcessor

Constructor Summary
`protected` | `FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor(FacetIndexingParams indexingParams, int[] ordinalMap)` Construct FacetsDirPayloadProcessor with custom FacetIndexingParams

Method Summary
`org.apache.lucene.index.PayloadProcessorProvider.PayloadProcessor` | `getProcessor(org.apache.lucene.index.Term term)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor

    protected FacetsPayloadProcessorProvider.FacetsDirPayloadProcessor(FacetIndexingParams indexingParams,
                                                                       int[] ordinalMap)

  Construct FacetsDirPayloadProcessor with custom FacetIndexingParams

  Parameters:
    `ordinalMap` - an array mapping previous facets ordinals to new ones
    `indexingParams` - the facets indexing parameters

Method Detail

### getProcessor

    public org.apache.lucene.index.PayloadProcessorProvider.PayloadProcessor getProcessor(org.apache.lucene.index.Term term)
                                                                                   throws IOException

  Specified by:
    `getProcessor` in class `org.apache.lucene.index.PayloadProcessorProvider.ReaderPayloadProcessor`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD